<?php
session_start();
ob_start();
require_once('../../tcpdf/config/lang/hrv.php');
require_once('../../tcpdf/tcpdf.php');
 require('dbConfig.php'); 
 function convert_number_to_words($number) {
   
    $hyphen      = '-';
    $conjunction = ' and ';
    $separator   = ', ';
    $negative    = 'negative ';
    $decimal     = ' point ';
    $dictionary  = array(
        0                   => 'zero',
        1                   => 'one',
        2                   => 'two',
        3                   => 'three',
        4                   => 'four',
        5                   => 'five',
        6                   => 'six',
        7                   => 'seven',
        8                   => 'eight',
        9                   => 'nine',
        10                  => 'ten',
        11                  => 'eleven',
        12                  => 'twelve',
        13                  => 'thirteen',
        14                  => 'fourteen',
        15                  => 'fifteen',
        16                  => 'sixteen',
        17                  => 'seventeen',
        18                  => 'eighteen',
        19                  => 'nineteen',
        20                  => 'twenty',
        30                  => 'thirty',
        40                  => 'fourty',
        50                  => 'fifty',
        60                  => 'sixty',
        70                  => 'seventy',
        80                  => 'eighty',
        90                  => 'ninety',
        100                 => 'hundred',
        1000                => 'thousand',
        1000000             => 'million',
        1000000000          => 'billion',
        1000000000000       => 'trillion',
        1000000000000000    => 'quadrillion',
        1000000000000000000 => 'quintillion'
    );
   
    if (!is_numeric($number)) {
        return false;
    }
   
    if (($number >= 0 && (int) $number < 0) || (int) $number < 0 - PHP_INT_MAX) {
        // overflow
        trigger_error(
            'convert_number_to_words only accepts numbers between -' . PHP_INT_MAX . ' and ' . PHP_INT_MAX,
            E_USER_WARNING
        );
        return false;
    }

    if ($number < 0) {
        return $negative . convert_number_to_words(abs($number));
    }
   
    $string = $fraction = null;
   
    if (strpos($number, '.') !== false) {
        list($number, $fraction) = explode('.', $number);
    }
   
    switch (true) {
        case $number < 21:
            $string = $dictionary[$number];
            break;
        case $number < 100:
            $tens   = ((int) ($number / 10)) * 10;
            $units  = $number % 10;
            $string = $dictionary[$tens];
            if ($units) {
                $string .= $hyphen . $dictionary[$units];
            }
            break;
        case $number < 1000:
            $hundreds  = $number / 100;
            $remainder = $number % 100;
            $string = $dictionary[$hundreds] . ' ' . $dictionary[100];
            if ($remainder) {
                $string .= $conjunction . convert_number_to_words($remainder);
            }
            break;
        default:
            $baseUnit = pow(1000, floor(log($number, 1000)));
            $numBaseUnits = (int) ($number / $baseUnit);
            $remainder = $number % $baseUnit;
            $string = convert_number_to_words($numBaseUnits) . ' ' . $dictionary[$baseUnit];
            if ($remainder) {
                $string .= $remainder < 100 ? $conjunction : $separator;
                $string .= convert_number_to_words($remainder);
            }
            break;
    }
   
    if (null !== $fraction && is_numeric($fraction)) {
        $string .= $decimal;
        $words = array();
        foreach (str_split((string) $fraction) as $number) {
            $words[] = $dictionary[$number];
        }
        $string .= implode(' ', $words);
    }
   
    return $string;
}

$today = date("F j, Y");


 
//$part="PART III";

$stdcode=$_GET['stdcode'];

$meritlist = mysqli_query($con, "SELECT * FROM sem35stdmaster where  stdcode='$stdcode'");
$rowstock = mysqli_fetch_array($meritlist);
$name=$rowstock['name'];
$sem=$rowstock['sem'];
$mamt=$rowstock['pymt'];
$subjectcode=$rowstock['stream'];
$newvar = convert_number_to_words($mamt);

$dtsubmitted=date("Y-m-d H:i:s",strtotime("+330 minutes"));





if ($rowstock['pymt']>0) {$sstat="Paid by Billdesk Vide Transaction id ".$rowstock['transid']." on ".$rowstock['transdt'];} else {$sstat="NOT PAID";}







$pdf = new TCPDF(PDF_PAGE_ORIENTATION, PDF_UNIT, PDF_PAGE_FORMAT, true, 'UTF-8', false);

// set document information
$pdf->SetCreator(PDF_CREATOR);
$pdf->SetAuthor('Skill Hut');
$pdf->SetTitle('Challan Print');
$pdf->SetSubject('Challan');
$pdf->SetKeywords('PDF, DBNDSM');

// remove default header/footer
$pdf->setPrintHeader(false);
$pdf->setPrintFooter(false);

// set default monospaced font
$pdf->SetDefaultMonospacedFont(PDF_FONT_MONOSPACED);

//set margins
$pdf->SetMargins(PDF_MARGIN_LEFT, 10, PDF_MARGIN_RIGHT);

//set auto page breaks
$pdf->SetAutoPageBreak(TRUE, PDF_MARGIN_BOTTOM);

//set image scale factor
$pdf->setImageScale(PDF_IMAGE_SCALE_RATIO);

//set some language-dependent strings
$pdf->setLanguageArray($l);

// ---------------------------------------------------------

// set font
$pdf->SetFont('helvetica', '', 10);
// add a page
$pdf->AddPage();

// set some text to print
$pdf->Ln();
$tbl = <<<EOD

<table width="100%" border="1" cellspacing="0" cellpadding="5">
  <tr>
    <td><table width="100%" border="0" cellspacing="0" cellpadding="5">
      <tr>
        <td width="10%" align="left" valign="top"><img src="collegelogo.png"  width="70"></td>
        <td width="90%"><div align="center"><h3>Bhairab Ganguly College</h3>
	   	   <br />Affiliated Under West Bengal State University<br />
          <strong>Fee Payment Confirmation Receipt</strong>
		  <br />College Copy</div></td>
      </tr>
    </table>
      <table width="100%" border="1" cellspacing="0" cellpadding="1">
	      
        
		<tr>
          <td>Student Code: <strong>$stdcode&nbsp;&nbsp;</strong></td>
        </tr>
		<tr>
          <td>Name: <strong>$name</strong></td>
        </tr>
		<tr>
          <td>Semester: <strong>$sem</strong></td>
        </tr>
		<tr>
          <td>Course Code: <strong>$subjectcode</strong></td>
        </tr>
		
		
		<tr>
		  <td>Payable Amount: <strong>$mamt</strong>/- (Rupees $newvar only)</td>
	    </tr>
		
		
		
		
      </table>
	  <p>&nbsp;</p>
	   <table width="100%" border="0" cellspacing="5" cellpadding="5" style="border:5px solid #ff0000">
	   <tr>
          <td >$sstat </td>
        </tr>
		   <tr>
          <td>The College Copy should be submitted to the College Office as and when demanded </td>
        </tr>
	   </table>
     
<p>&nbsp;	 </p>

    </td>
  </tr>
</table>

EOD;

$pdf->writeHTML($tbl, true, false, false, false, '');
$pdf->write1DBarcode($rlno, 'C128A', '90','',20,10);
$pdf->Ln();$pdf->Ln();$pdf->Ln();$pdf->Ln();$pdf->Ln();
$tbl = <<<EOD

<table width="100%" border="1" cellspacing="0" cellpadding="5">
  <tr>
    <td><table width="100%" border="0" cellspacing="0" cellpadding="5">
      <tr>
        <td width="10%" align="left" valign="top"><img src="collegelogo.png"  width="70"></td>
        <td width="90%"><div align="center"><h3>Bhairab Ganguly College</h3>
	   	   <br />Affiliated Under West Bengal State University<br />
          <strong>Fee Payment Confirmation Receipt</strong>
		  <br />
		  Student&rsquo;s Copy</div></td>
      </tr>
    </table>
      <table width="100%" border="1" cellspacing="0" cellpadding="1">
	      
        
		<tr>
          <td>Student Code: <strong>$stdcode&nbsp;&nbsp;</strong></td>
        </tr>
		<tr>
          <td>Name: <strong>$name</strong></td>
        </tr>
		<tr>
          <td>Semester: <strong>$sem</strong></td>
        </tr>
		<tr>
          <td>Course Code: <strong>$subjectcode</strong></td>
        </tr>
		
		
		<tr>
		  <td>Payable Amount: <strong>$mamt</strong>/- (Rupees $newvar only)</td>
	    </tr>
		
		
		
		
      </table>
	  <p>&nbsp;</p>
	   <table width="100%" border="0" cellspacing="5" cellpadding="5" style="border:5px solid #ff0000">
	   <tr>
          <td >$sstat </td>
        </tr>
		   
	   </table>
     
<p>&nbsp;	 </p>

    </td>
  </tr>
</table>

EOD;

$pdf->writeHTML($tbl, true, false, false, false, '');

// ---------------------------------------------------------

ob_end_clean();

$pdf->Output('sem24challan.pdf', 'I');
//============================================================+
// END OF FILE                                                
//============================================================+